OpenVDB 5.1.0

Public Types | Public Member Functions | List of all members
CombineLeafNodes< TreeType > Class Template Reference

`#include <MeshToVolume.h>`

## Public Types
using | Int32TreeType = typename TreeType::template ValueConverter< Int32 >::Type
using | LeafNodeType = typename TreeType::LeafNodeType
using | Int32LeafNodeType = typename Int32TreeType::LeafNodeType

## Public Member Functions
| CombineLeafNodes (TreeType &lhsDistTree, Int32TreeType &lhsIdxTree, LeafNodeType **rhsDistNodes, Int32LeafNodeType **rhsIdxNodes)
void | operator() (const tbb::blocked_range< size_t > &range) const

## Member Typedef Documentation

## ◆ Int32LeafNodeType

using Int32LeafNodeType = typename Int32TreeType::LeafNodeType

## ◆ Int32TreeType

using Int32TreeType = typename TreeType::template ValueConverter<Int32>::Type

## ◆ LeafNodeType

using LeafNodeType = typename TreeType::LeafNodeType

## Constructor & Destructor Documentation

## ◆ CombineLeafNodes()

CombineLeafNodes | ( | TreeType & | lhsDistTree,
|  | Int32TreeType & | lhsIdxTree,
|  | LeafNodeType ** | rhsDistNodes,
|  | Int32LeafNodeType ** | rhsIdxNodes
| ) |  |
| inline

## Member Function Documentation

## ◆ operator()()

void operator() | ( | const tbb::blocked_range< size_t > & | range | ) | const
| inline

The documentation for this class was generated from the following file:

- MeshToVolume.h